Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.kernel.plugins.dependency
Class AbstractKernelControllerContext

    java.lang.Object
      org.jboss.util.JBossObject
          org.jboss.dependency.plugins.AbstractControllerContext
              org.jboss.kernel.plugins.dependency.AbstractKernelControllerContext

All Implemented Interfaces:
  Cloneable, org.jboss.dependency.spi.ControllerContext, org.jboss.util.JBossInterface, KernelControllerContext, KernelRegistryEntry

public class AbstractKernelControllerContext
extends org.jboss.dependency.plugins.AbstractControllerContext
implements KernelControllerContext

Controller context.

Version:
  $Revision: 1.8 $
Author:
  Adrian Brock

Nested Class Summary
`protected class` | `AbstractKernelControllerContext.PreprocessMetaDataVisitor` A visitor for the metadata that looks for dependencies.

Field Summary
`protected AccessControlContext` | `accessContext` The access control context
`protected BeanInfo` | `info` The BeanInfo
`protected BeanMetaData` | `metaData` The meta data

Fields inherited from class org.jboss.util.JBossObject
`hashCode, log, toString`

Constructor Summary
`AbstractKernelControllerContext(BeanInfo info, BeanMetaData metaData, Object target)` Create an abstract controller context

Method Summary
`protected AccessControlContext` | `getAccessControlContext()` Get the access control context of the code that created this context.
`BeanInfo` | `getBeanInfo()` Get the BeanInfo
`BeanMetaData` | `getBeanMetaData()` Get the metadata
`Kernel` | `getKernel()` Get the kernel
`protected void` | `preprocessMetaData()` Preprocess the metadata for this context
`void` | `setBeanInfo(BeanInfo info)` Set the bean info
`void` | `setController(org.jboss.dependency.spi.Controller controller)`
`void` | `toString(org.jboss.util.JBossStringBuilder buffer)`

Methods inherited from class org.jboss.dependency.plugins.AbstractControllerContext
`getController, getDependencyInfo, getError, getMode, getName, getRequiredState, getState, getTarget, install, setError, setMode, setName, setRequiredState, setTarget, toShortString, uninstall`

Methods inherited from class org.jboss.util.JBossObject
`cacheGetHashCode, cacheToString, clone, equals, flushJBossObjectCache, getClassShortName, getHashCode, hashCode, list, notEqual, toShortString, toString, toStringImplementation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.kernel.spi.dependency.KernelControllerContext
`setTarget`

Methods inherited from interface org.jboss.kernel.spi.registry.KernelRegistryEntry
`getName, getTarget, setName`

Methods inherited from interface org.jboss.util.JBossInterface
`clone, toShortString, toShortString`

Methods inherited from interface org.jboss.dependency.spi.ControllerContext
`getController, getDependencyInfo, getError, getMode, getRequiredState, getState, install, setError, setMode, setRequiredState, uninstall`

Field Detail

### info

    protected BeanInfo info

  The BeanInfo

### metaData

    protected BeanMetaData metaData

  The meta data

### accessContext

    protected AccessControlContext accessContext

  The access control context

Constructor Detail

### AbstractKernelControllerContext

    public AbstractKernelControllerContext(BeanInfo info,
                                           BeanMetaData metaData,
                                           Object target)

  Create an abstract controller context

Parameters:
  `info` - the bean info
  `metaData` - the meta data
  `target` - any target object

Method Detail

### getKernel

    public Kernel getKernel()

  Description copied from interface: `KernelControllerContext`
  Get the kernel

  Specified by:
    `getKernel` in interface `KernelControllerContext`
  Returns:
    the kernel

### getBeanInfo

    public BeanInfo getBeanInfo()

  Description copied from interface: `KernelControllerContext`
  Get the BeanInfo

  Specified by:
    `getBeanInfo` in interface `KernelControllerContext`
  Returns:
    the bean info

### setBeanInfo

    public void setBeanInfo(BeanInfo info)

  Set the bean info

  Specified by:
    `setBeanInfo` in interface `KernelControllerContext`
  Parameters:
    `info` - the bean info

### getBeanMetaData

    public BeanMetaData getBeanMetaData()

  Description copied from interface: `KernelControllerContext`
  Get the metadata

  Specified by:
    `getBeanMetaData` in interface `KernelControllerContext`
  Returns:
    the bean metadata

### toString

    public void toString(org.jboss.util.JBossStringBuilder buffer)

### setController

    public void setController(org.jboss.dependency.spi.Controller controller)

  Specified by:
    `setController` in interface `org.jboss.dependency.spi.ControllerContext`

### preprocessMetaData

    protected void preprocessMetaData()

  Preprocess the metadata for this context

### getAccessControlContext

    protected AccessControlContext getAccessControlContext()

  Get the access control context of the code that created this context.

  This will be null when there is no security manager.

  Returns:
    any access control context

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.